INTERFACE
SUBROUTINE SPECRT(KDIR,LDINCR,LDBCKGR,PSP7Q,PSP7I,PSP7L,&
 & PGP7Q,PGP7I,PGP7L) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KDIR
LOGICAL, OPTIONAL ,INTENT(IN) :: LDINCR
LOGICAL, OPTIONAL ,INTENT(IN) :: LDBCKGR
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PSP7Q(:,:)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PSP7I(:,:)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PSP7L(:,:)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PGP7Q(:,:,:)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PGP7I(:,:,:)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PGP7L(:,:,:)
END SUBROUTINE SPECRT
END INTERFACE
